"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._set = exports._isObject = void 0;
var _isObject = function (value) { return value === Object(value); };
exports._isObject = _isObject;
var _set = function (obj, path, value) {
    // Split path
    var splitPath = path.split(".");
    var len = splitPath.length;
    var localObj = obj;
    for (var i = 0; i < len - 1; i++) {
        var accessor = splitPath[i];
        if (!localObj[accessor] || !exports._isObject(localObj[accessor])) {
            localObj = {};
        }
        else {
            // At this point, we know that localObj[accessor] is an object
            localObj = localObj[accessor];
        }
    }
    localObj[splitPath[len - 1]] = value;
};
exports._set = _set;
